ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
pr_sape_project_api_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| get_projects ()

## Data Fields
| $SapeCommonApi = false
| $SapeUtilities = false
| $Security = false

## Detailed Description

Class provides integration with the Pr.Sape system.

Author
  Dodonov A.A.

Definition at line 26 of file pr_sape_project_api.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 56 of file pr_sape_project_api.php.

{
try
{
$this->SapeCommonApi = get_package( 'sape::sape_common_api' , 'last' , __FILE__ );
$this->SapeUtilities = get_package( 'sape::sape_utilities' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

get_projects | ( |  | ) |

Function returns a list of packages.

Returns
  A list of projects.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file pr_sape_project_api.php.

{
try
{
$Response = $this->SapeUtilities->call_method(
$this->SapeCommonApi->Client , 'sape_pr.project.index' , array() , 'Can\'t get projects'
);
return( php_xmlrpc_decode( $Response->value() ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$SapeCommonApi = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file pr_sape_project_api.php.

$SapeUtilities = false

Definition at line 39 of file pr_sape_project_api.php.

$Security = false

Definition at line 40 of file pr_sape_project_api.php.

The documentation for this class was generated from the following file:

- packages/sape/packages/pr_sape_project_api/pr_sape_project_api.php